package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻策略月天类型]
 */
@Component("ionicdemo_TSMonthDayTypeCodeList")
public class TSMonthDayTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSMonthDayType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("EVERY");
		item0.setId("EVERY");
		item0.setText("每天");
		item0.setLabel("每天");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("EVERY",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("SOME");
		item1.setId("SOME");
		item1.setText("指定天");
		item1.setLabel("指定天");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("SOME",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("NONE");
		item2.setId("NONE");
		item2.setText("不指定");
		item2.setLabel("不指定");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("NONE",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}